Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleHintReturnVariant

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleHintReturn
                  com.trolltech.qt.gui.QStyleHintReturnVariant

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleHintReturnVariant

extends QStyleHintReturn

The `QStyleHintReturnVariant` class provides style hints that return a `QVariant`.

Nested Class Summary
`static class` | `QStyleHintReturnVariant.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleHintReturn` subclass.
`static class` | `QStyleHintReturnVariant.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleHintReturn` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleHintReturn
`QStyleHintReturn.HintReturnType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QStyleHintReturnVariant()` Constructs a `QStyleHintReturnVariant`.

Method Summary
`static QStyleHintReturnVariant` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleHintReturnVariant instance pointed to by nativePointer
`void` | `setVariant(java.lang.Object variant)` Sets the variant for style hints that return a `QVariant` to `variant`.
`java.lang.Object` | `variant()` Returns the variant for style hints that return a `QVariant`.

Methods inherited from class com.trolltech.qt.gui.QStyleHintReturn
`setType, setVersion, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleHintReturnVariant

    public QStyleHintReturnVariant()

  Constructs a `QStyleHintReturnVariant`. The member variables are initialized to default values.

Method Detail

### setVariant

    public final void setVariant(java.lang.Object variant)

  Sets the variant for style hints that return a `QVariant` to `variant`.

  See Also:
    `variant`

### variant

    public final java.lang.Object variant()

  Returns the variant for style hints that return a `QVariant`.

  See Also:
    `setVariant`

### fromNativePointer

    public static QStyleHintReturnVariant fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleHintReturnVariant instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD